/**
 *
 * Copyright 2003-2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package org.apache.geronimo.gbean;

import java.util.Collection;
import javax.management.ObjectName;

/**
 * An extension of collection that allows a client to register for notifications when
 * members are added to and removed from the collection.
 * 
 * @version $Rev: 234420 $ $Date: 2005-08-21 21:15:17 -0600 (Sun, 21 Aug 2005) $
 */
public interface ReferenceCollection extends Collection {
    void addReferenceCollectionListener(ReferenceCollectionListener listener);

    void removeReferenceCollectionListener(ReferenceCollectionListener listener);

    ObjectName[] getMemberObjectNames();
}
